当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 7 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 安装ubuntu-tweak-0.4.7.3.tar时出错
帖子发表于 : 2009-07-04 22:11 

注册: 2009-05-25 23:26
帖子: 8
送出感谢: 0 次
接收感谢: 0 次

http://ubuntu-tweak.googlecode.com下载了ubuntu-tweak-0.4.7.3.tar.gz
解压后运行
-------------------------------------------
dryang@dryang:~/桌面/ubuntu-tweak-0.4.7.3$ ./configure
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... no
checking for mawk... mawk
checking whether make sets $(MAKE)... yes
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.19... yes
checking for a Python interpreter with version >= 2.5... python
checking for python... /usr/bin/python
checking for python version... 2.6
checking for python platform... linux2
checking for python script directory... /usr/lib/python2.6/dist-packages
checking for python extension module directory... /usr/lib/python2.6/dist-packages
checking for TWEAK... configure: error: Package requirements (gtk+-2.0 >= 2.10
pygtk-2.0 >= 2.10
pygobject-2.0 >= 2.10
gnome-python-2.0 >= 2.10
) were not met:

No package 'gtk+-2.0' found
No package 'pygtk-2.0' found
No package 'pygobject-2.0' found
No package 'gnome-python-2.0' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables TWEAK_CFLAGS
and TWEAK_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

但运行make 提示
make: *** 没有指明目标并且找不到 makefile。 停止。
--------------------------------------------------
不能正常安装,请哪位高手可以帮忙解决???


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 安装ubuntu-tweak-0.4.7.3.tar时出错
帖子发表于 : 2009-07-04 22:17 

注册: 2006-08-27 7:40
帖子: 62
送出感谢: 0 次
接收感谢: 0 次
你的configure都没过 当然没法make

缺少这些包
No package 'gtk+-2.0' found
No package 'pygtk-2.0' found
No package 'pygobject-2.0' found
No package 'gnome-python-2.0' found

别折腾了 用deb装吧

http://ubuntu-tweak.googlecode.com/file ... y1_all.deb


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 安装ubuntu-tweak-0.4.7.3.tar时出错
帖子发表于 : 2009-07-04 22:28 

注册: 2009-05-25 23:26
帖子: 8
送出感谢: 0 次
接收感谢: 0 次
请问
No package 'gtk+-2.0' found
No package 'pygtk-2.0' found
No package 'pygobject-2.0' found
No package 'gnome-python-2.0' found
这几个包应如何安装


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 安装ubuntu-tweak-0.4.7.3.tar时出错
帖子发表于 : 2009-07-04 23:19 
头像

注册: 2007-12-09 22:36
帖子: 841
送出感谢: 0 次
接收感谢: 0 次
apt安装。
建议下deb包吧,别折腾了。


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 安装ubuntu-tweak-0.4.7.3.tar时出错
帖子发表于 : 2009-07-04 23:43 

注册: 2009-05-25 23:26
帖子: 8
送出感谢: 0 次
接收感谢: 0 次
终于搞定
sudo apt-get install python-gnome2-dev
sudo apt-get install python-gtk2-dev
sudo apt-get install libgtk2.0-dev

就可以把所缺的几个包都安装上去,再运行./configure可以通过


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 安装ubuntu-tweak-0.4.7.3.tar时出错
帖子发表于 : 2009-07-05 10:32 
头像

注册: 2006-03-13 14:42
帖子: 324
送出感谢: 0 次
接收感谢: 0 次
折腾 :em11


_________________
闻到死太贵
麦克价更高
有了乌班兔
两者皆可抛


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 安装ubuntu-tweak-0.4.7.3.tar时出错
帖子发表于 : 2009-07-05 11:02 

注册: 2006-12-14 12:46
帖子: 25
送出感谢: 0 次
接收感谢: 0 次
还不如直接google一下,找个deb包安装


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 7 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译